@charset "UTF-8";
/* CSS Document (ハンバーガーメニュー) */

.hamburger_menu {
  font-family: "Noto Serif JP", serif;
}

/*アイコン*/
#nav_toggle {
  position: fixed;
  top: 10px;
  right: 0;
  height: 50px;
  width: 100px;
  cursor: pointer;
  z-index: 999;
  /*  background: #775635;*/
  display: none;
  border-radius: 0 0 0 5px;
}
#nav_toggle > div {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 30px;
  height: 20px;
}

/* ------ハンバーガーアイコン-------- */
.hamburger_icon {
  position: relative;
  width: 30px;
  height: 20px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.hamburger_icon span {
  display: block;
  height: 2px;
  width: 100%;
  background-color: #fff; /* ← お好みの色でOK */
  transition:
    transform 0.3s ease,
    opacity 0.3s ease;
}

/* ------メニュー開いたときのハンバーガーアイコン変形------ */
.open .hamburger_icon span:nth-child(1) {
  transform: translateY(9px) rotate(45deg);
}

.open .hamburger_icon span:nth-child(2) {
  opacity: 0;
}

.open .hamburger_icon span:nth-child(3) {
  transform: translateY(-9px) rotate(-45deg);
}

/*中身*/
.hamburger_nav {
  background: url("../img/spbg.webp");
  background-repeat: no-repeat;
  background-size: cover;
  position: fixed;
  height: 100vh;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 990;
  text-align: center;
  visibility: hidden;
  opacity: 0;
  transition:
    opacity 0.6s ease,
    visibility 0.6s ease;
  padding: 120px 0;
  overflow-y: scroll;
  overflow-x: hidden;
}
.hamburger_nav::before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: #111;
  opacity: 0.5;
  z-index: 0;
}
.hamburger_nav_inner {
  position: relative;
  z-index: 1;
}
.hamburger_nav ul {
  margin-bottom: 20px;
}
.hamburger_nav ul li a {
  display: block;
  transition: 0.1s;
  font-size: 1.1rem;
  margin-bottom: 20px;
  position: relative;
  padding-bottom: 3px;
  color: #fff;
}
.hamburger_nav ul li a::after {
  content: "";
  width: 250px;
  height: 1.5px;
  display: inline-block;
  background: var(--main_color);
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 60%;
}
.hamburger_nav a span:not(.m_contact span) {
  display: block;
  text-align: center;
  font-size: 0.8em;
  /*  text-transform: uppercase;*/
  color: #fff;
  position: relative;
  top: 5px;
}
.hamburger_nav a:hover span:not(.m_contact span) {
}
.hamburger_nav ul li {
  opacity: 0;
  transform: translateX(200px);
  transition:
    transform 0.6s ease,
    opacity 0.2s ease;
}
.hamburger_nav ul li:nth-child(2) {
  transition-delay: 0.15s;
}
.hamburger_nav ul li:nth-child(3) {
  transition-delay: 0.3s;
}
.hamburger_nav ul li:nth-child(4) {
  transition-delay: 0.45s;
}
.hamburger_nav ul li:nth-child(5) {
  transition-delay: 0.6s;
}
.hamburger_nav ul li:nth-child(6) {
  transition-delay: 0.75s;
}
.hamburger_nav ul li:nth-child(7) {
  transition-delay: 0.9s;
}

.hamburger_nav .m_contact {
  opacity: 0;
  transform: translateX(200px);
  transition:
    transform 0.6s ease,
    opacity 0.2s ease;
}

.mbtn a {
  display: block;
  border: 1px solid #fff;
  text-align: center;
  width: 80%;
  max-width: 300px;
  padding: 15px 0;
  letter-spacing: 0.08em;
  margin: auto;
  font-size: 0.8rem;
  color: #fff;
  transition: all 0.5s ease;
}

/*ホバー*/
.hamburger_nav ul li a:hover {
  opacity: 0.6;
}

/* open */
.open {
  overflow: hidden;
}
.open .hamburger_nav {
  visibility: visible;
  opacity: 1;
}
.open .hamburger_nav li {
  opacity: 1;
  transform: translateX(0);
  transition:
    transform 1s ease,
    opacity 0.9s ease;
}
.open .hamburger_nav .m_contact {
  opacity: 1;
  transform: translateX(0);
  transition:
    transform 2s ease,
    opacity 3s ease;
}

/*ブレイクポイントのみ変更*/
@media (max-width: 960px) {
  .hamburger_menu #nav_toggle {
    display: block;
  }
}

@media (max-width: 550px) {
  #nav_toggle {
    top: 5px;
  }
}
